Name:		sfsexp
Version:	1.4.0
Release:	1%{?dist}
Summary:	Small Fast S-Expression Library

License:	LGPL-2.1+
URL:		https://github.com/mjsottile/sfsexp
Source:		%{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc

%description
This library is intended for developers who wish to manipulate (read,
parse, modify, and create) symbolic expressions (s-expressions)from C
or C++ programs.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version}


%build
%configure --disable-static
%make_build

%check
pushd tests
/bin/sh dotests.sh
popd

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{?ldconfig_scriptlets}

%files
%license COPYING
%{_libdir}/*.so.*

%files devel
%doc README*
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 10 2022 Michael J Gruber <mjg@fedoraproject.org> - 1.4.0-1
- rebase with upstream 1.4.0

* Wed Jan 12 2022 Michael J Gruber <mjg@fedoraproject.org> - 1.3.1-1
- initial test package
